tracker-miner-fs crashed with SIGABRT in g_assertion_message()

Bug #973088 reported by sashker on 2012-04-04
506
This bug affects 106 people
Affects Status Importance Assigned to Milestone
tracker (Fedora)
Won't Fix
Undecided
tracker (Ubuntu)
Medium
Unassigned

Bug Description

Description: Ubuntu precise (development branch)
Release: 12.04

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: tracker-miner-fs 0.14.0-2
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0-0ubuntu4
Architecture: amd64
Date: Wed Apr 4 10:33:07 2012
ExecutablePath: /usr/lib/tracker/tracker-miner-fs
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120201.2)
ProcCmdline: /usr/lib/tracker/tracker-miner-fs
Signal: 6
SourcePackage: tracker
Title: tracker-miner-fs crashed with SIGABRT in raise()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: mail

Download full text (4.5 KiB)

libreport version: 2.0.8
abrt_version: 2.0.7
backtrace_rating: 4
cmdline: /usr/libexec/tracker-miner-fs
comment: Tracker was abusing my disk heavily on boot.
crash_function: __GI_raise
executable: /usr/libexec/tracker-miner-fs
kernel: 3.3.0-0.rc6.git0.2.fc17.x86_64
pid: 1386
pwd: /data
reason: Process /usr/libexec/tracker-miner-fs was killed by signal 6 (SIGABRT)
time: 2012-03-12T16:35:18 CET
uid: 1000
username: stef
var_log_messages: Mar 12 16:35:19 stef-desktop abrt[1723]: Saved core dump of pid 1386 (/usr/libexec/tracker-miner-fs) to /var/spool/abrt/ccpp-2012-03-12-16:35:18-1386 (18919424 bytes)

backtrace: Text file, 17375 bytes
dso_list: Text file, 5007 bytes
maps: Text file, 23909 bytes

build_ids:
:b033b2025009f19c9e322929810998f45cf483f6
:97317d1518e70c97ab14100f4510f2360865cbc3
:6a6f7e91aa12548505e8302f27282865ff2842d3
:174e128892385c6bb2b4e4a4213d31f9dc49466f
:0d78b752f0d9e83f0f4eb9e6f0ae186ad0b2a13c
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:4d9f1e9a6e14bb126793e5796a5951874dd83038
:2348d82efc78d838cb28f784c3a61c627d45278a
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:666abf228c966f37766ad17cd64ba794136e9ac9
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:f0ff7bf178355b5a8690e7d6c6751d4ebdf643c5
:49ff2bf2bc331d1033b5e96f3b4372347889ba17
:8eb096dfd0ffd6744062e82b158bd1d4268afd1c
:dc0e0e2829f4097ed6088d91e7b42fc2db9c5e49
:c879875e907f7695ca18dfd6e007621e8af15ea3
:cdc5b8cd84a20c1f21b10595d129a60345510396
:89071323dc419820c49b8c25c7cfd972c2d949f6
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:00d6e8a5d861940c0a1e47bae30bc1972f576705
:3deed610a4a5e058c663c5800450b5cfe9c37a75
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:093bb56117e9818caa13d7a83e4975d5477533c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:816a568132698192f252ff462ca0c988434bf8b3
:4f9a85443f33acbad2eb0068b0d8128b38944b9f
:8d72d96e568ee72b2fe9a478eb54ad2d289bbcd8
:b5797b67e070ac4ccaff8d7180cf635fa0f31cbf
:766fa7124150058af0f9ce4c39148868b4dbb47f
:822e9b3523e8312240f41a25722d539bc77ed436
:14eca14fab7e7f37bc37a80ec50e773bf93252c4
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:63b8b24e78f9956bfba3d0a95500d9a25e21d594
:5b7cdec9dba117156a6e5568a103fb5b44087566
:a9eb9e4d2da6b047bad0601ad65f06ea8afb3603
:7c35310fc506498c612d5d982ab03becc4b4817c
:cd5b354188380a59735021c133d1cec7f4c46fdc
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:4149ff67ae395df1bf3f3f0b9e960c1883bbeb6f
:a095f564bf20c90a6e26a32fe83d4d04c5eadbcb
:fc0dbdb3dc7f13b00e9c5975adc55256920871b5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:2ac8e124ff368269ee692eef71e48cddaff7c731
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:fa73f07676b8a455c4d3a6ce2c4fd689f2417ad5
:f0264e76a3f8ec444874b1a23d68c2ecaeba5e1c
:9e27816c18322e53c8465a18aa3a8043f3434781
:3aa364e64dd370c14adc27be6df2d70960406d7e
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139
:cb4d385c55c522feae9fb39650f6f365f568796c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=stef-desktop.thewalt...

Read more...

Created attachment 569434
File: dso_list

Created attachment 569435
File: maps

Created attachment 569436
File: backtrace

sashker (mustafin-aleksandr) wrote :
Changed in tracker (Ubuntu):
importance: Undecided → Medium
summary: - tracker-miner-fs crashed with SIGABRT in raise()
+ tracker-miner-fs crashed with SIGABRT in g_assertion_message()
tags: removed: need-amd64-retrace
Jeremy Bicha (jbicha) on 2012-04-09
visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tracker (Ubuntu):
status: New → Confirmed
Nishihama Kenkowo (hitobashira) wrote :

when atached iPhone.

Michael Flaig (mflaig) wrote :

happend to me when opening an sftp bookmark in nautilus

Also to me when opening an ftp bookmark in nautilus!

hanfkeks (c-weber23) wrote :

Happend, assumingly unrelated to any speficic action. After this i checked my indexing options for tracker, and all the folders were reset to the default setting (not entirely sure if this is related to the crash).

Alexander (alexander-) wrote :

Happens when clicking sftp mounts

Denis Sorn (sorn-denis) wrote :

Happaned after opening/mounting sftp with nautilus.

I got this when trying to connect to my school's resources site using Secure WebDAV in Nautilus.

Master (ridhabnj) wrote :

when atached iPhone.

Marcusklaas (marcusdevries) wrote :

when opening sftp share in rhythmbox

Michael Bleau (michael-bleau) wrote :

When using Nautilus to open an SMB/CIFS folder on my Windows Home Server. The folder opened correctly. Ubuntu 12.04.

Felix Martens (felix-martens) wrote :

after connecting to my sftp server and opening a folder

Mengxuan Xia (xiamx) wrote :

(tracker-control:21601): Tracker-CRITICAL **: Could not create proxy on the D-Bus session bus, org.freedesktop.Tracker1.Miner.Applications StartServiceByName : GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process /usr/lib/tracker/tracker-miner-fs received signal 6

(tracker-control:21601): Tracker-CRITICAL **: No D-Bus proxy found for miner 'org.freedesktop.Tracker1.Miner.Applications'

Mengxuan Xia (xiamx) wrote :

happends when iphone 4s is attached.

disattach the iphone and run tracker-control -s, no error

Maxim Doucet (maximdoucet) wrote :

After opening an ISO file

Quite likely fixed in Tracker 0.14.1 (released yesterday), see upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=672308 and the 0.14.1 release notes: http://mail.gnome.org/archives/tracker-list/2012-May/msg00007.html

Mengxuan Xia (xiamx) wrote :

Is it possible to backport the fix from upstream?

This happens every time i log in to fedora 17.
All packages updated to latest versions.

backtrace_rating: 4
Package: tracker-0.14.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)

tracker-0.14.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.1-1.fc17

Package tracker-0.14.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.14.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8171/tracker-0.14.1-1.fc17
then log in and leave karma (feedback).

tracker-0.14.1-1.fc17 has been pushed to the Fedora 17 stable repository. If problems still persist, please make note of it in this bug report.

linfidel (linfidel) wrote :

I received this in an alert after opening a shared directory on a Ubuntu system on my LAN. The folder opened normally. This is a fairly new install, not much added yet on an old (~6 years, IBM branding) Thinkpad T43 laptop.

There is one unusual fact about this system; the hard drive was replaced with a newer drive that is bigger than what was originally available, and the BIOS displays a message that the drive has not been certified for use by this system. It seems to work, but this may be a problem.

problems still persist

jose (jose-cybergalvez) wrote :

will the fix be released to backport with the .1 release? This is one of the daily crashes I am getting in 12.04

Mengxuan Xia (xiamx) wrote :

I've applied patches from mainstream and uploaded on my ppa https://launchpad.net/~xiamx/+archive/mxppa
You can use it for quick walkaround before the official update from the package maintainer.

isildur (isildur) wrote :

" Mengxuan Xia (xiamx) wrote on 2012-05-02: #19
happends when iphone 4s is attached.
disattach the iphone and run tracker-control -s, no error "

Same here. iPod Touch 4 32G.

According to ABRT, exactly the same problem still persists in 0.14.1-1

tags: added: running-unity
Diane Trout (diane-trout) wrote :

12.04 tracker-miner-fs 14.0 crashed for me as well. I was using ecryptfs and the gvfs mount pont created by deja-dup.

I built my own new version from 14.2 upstream and that also seems to be able to run without the filesystem miner crashing.

tags: added: bugpattern-needed
vicmumo (vmunoz-o) wrote :

when atached iPhone.

Bryan O'Brien (bryan-m-obrien) wrote :

when attaching iPhone

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 17 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged change the
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Damiano Dallatana (damidalla) wrote :

Still here in saucy, using a desktop pc with only a webcam and a wireless mouse dongle connected (no iPhone at all).

tags: added: saucy
Arne Meyer (am-v) wrote :

happened after saucy update from 2013-09-09 with completely crashed X Server

Changed in tracker (Fedora):
importance: Unknown → Undecided
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.